if __FILE__ == $0
	require 'OWLScribble.rb'

	class OWLScribble
		def process_links( )
			require 'uri'
			@wiki_links.each{ |tag|
				tag.tag_name = :a
				page = tag.attributes[ :page ]

				tag.attributes[ :href ] = "dummylinktopage?#{URI.escape(page)}"
				tag.attributes[ :class ]= "newwikilink"
				tag.attributes.delete( :page )
			}
		end		
	end
	
	file_name = ARGV[0]
	file_name = 'markup.txt' unless file_name && file_name != '--name'

	raw_text = File.open( file_name ){ |file| file.read }

	require 'benchmark'
	owl,html = nil
	Benchmark.bm(10){ |x|
		x.report( 'NodeTree' ){
			owl = OWLScribble.new( raw_text )
			owl.process_links
		}
		x.report( 'HTMLify' ){
			html = owl.to_html
		}
	}

	p owl if $DEBUG

	require 'erb'
	File.open( file_name.gsub( /[^.]+$/, 'html' ), "w+" ){ |out|
		File.open( 'template.rhtml', 'r' ){ |template|
			page_title = nil
			page_contents = html
			out << ERB.new( template.read ).result( binding )
		}
	}

end
